@ECHO OFF
rem Just like MPLab, compiles and links main.c and serial.c into main.hex
rem for the pic17c43.  To add more files, add extra picc.exe lines with
rem the relevant extra c files.  Also, change main.lkr to include the
rem extra obj files.  To change linking addresses, see b.txt

echo.
PICC.EXE -Gmicrochip -D24 -E -17C44 -C MAIN.C
PICC.EXE -Gmicrochip -D24 -E -17C44 -C SERIAL.C
PICC.EXE -Gmicrochip -D24 -E -17C44 -C DELAY.C
PICC.EXE -Gmicrochip -D24 -E -17C44 -C FLASH_BH.C
hlink.exe @main.lkr
if errorlevel 1 goto xerror
ctty nul
del C:\WINDOWS\TEMP\$$010692.003
ctty con
objtohex.exe -i -16,2 C:\WINDOWS\TEMP\l.obj MAIN.HEX
cromwell.exe -m -P17C44 MAIN.HEX microchip -ocod
ctty nul
del C:\WINDOWS\TEMP\l.obj
del C:\WINDOWS\TEMP\$$010692.000
del C:\WINDOWS\TEMP\$$010692.001
del C:\WINDOWS\TEMP\$$010692.002
del C:\WINDOWS\TEMP\l.obj
del C:\WINDOWS\TEMP\$$010692.003
ctty con
goto xgood

:xerror
echo.
echo Linking did NOT perform correctly!
echo.
goto end 

:xgood

echo Linking performed correctly!
echo.

:end
